package com.yihu.hos.system.service.intf;

import com.yihu.hos.system.model.SystemOrganization;
import com.yihu.hos.web.framework.model.DataGridResult;
import com.yihu.hos.web.framework.model.Result;

import java.util.Map;

/**
 * 组织管理类
 * Created by hzp on 2016/1/11.
 */
public interface IOrganizationManager {

    /**
     * 根据ID获取组织详细
     * @return
     */
    SystemOrganization getOrgById(String id) throws Exception;


    /**
     * 获取组织列表
     */
    DataGridResult getOrgList(Map<String, Object> conditionMap, Integer page, Integer rows) throws Exception;

    /**
     * 新增组织
     */
    Result addOrg(SystemOrganization obj) throws Exception;

    /**
     * 修改组织
     */
    Result updateOrg(SystemOrganization obj);

    /**
     * 删除组织
     */
    Result deleteOrg(String id);

   /* *//**
     * 修改组织状态
     *//*
    ActionResult activityOrg(String orgId,String activityFlag) throws Exception;*/

    SystemOrganization getOrgByIde(String orgId) throws Exception;
}
